package com.sample.wui.action;

import javax.ejb.Stateless;

import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.log.Log;
import org.jboss.seam.security.Credentials;
import org.jboss.seam.security.Identity;

@Stateless
@Name("authenticator")
public class Authenticator {
	@Logger
	private Log log;

	@In
	Identity identity;
	@In
	Credentials credentials;

	public boolean authenticate() {
		String userName = credentials.getUsername();
		log.info("authenticating {0}", userName);
		// write your authentication logic here,
		// return true if the authentication was
		// successful, false otherwise
		return true;
	}

}
