package com.sample.wui.process;

import javax.ejb.EJB;
import javax.ejb.Stateless;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;
import org.jboss.seam.log.Log;
import org.jboss.seam.security.Credentials;

import com.sample.wui.jbpm.GenericChageObjectTest;

@Stateless
@Name("process")
@Scope(ScopeType.SESSION)
public class ProcessBean {

	@EJB
	GenericChageObjectTest test;

	
	
	@Logger
	private Log log;

	@In
	Credentials credentials;


	public void doTest() {
		log.info("testing..");
		
		test.doTest();
		log.info("test ended");
	}
	


	
}
